import React, { Component } from 'react';
import {
    StyleSheet,
    Text,
    View,
    TouchableHighlight,
} from 'react-native';
import authService from './AuthService';

const styles = StyleSheet.create({
    container: {
        flex: 1,
        justifyContent: 'center',
        alignItems: 'center',
    },
    button: {
        height: 36,
        width: 80,
        backgroundColor: '#48BBEC',
        borderColor: '#48BBEC',
        borderWidth: 1,
        borderRadius: 8,
        justifyContent: 'center',
    },
    buttonText: {
        fontSize: 18,
        color: 'white',
        alignSelf: 'center',
    },
});

class Logout extends Component {

    constructor(props) {
        super(props);
        this.buttonClicked = this.buttonClicked.bind(this);
        this.state = {
        };
    }

    buttonClicked() {
        authService.logout();
        this.props.onLogout();
    }
    render() {
        return (
            <View style={styles.container}>
                <TouchableHighlight
                    onPress={this.buttonClicked.bind(this) }
                    style={styles.button}
                    underlayColor="#99d9f4">
                    <Text style={styles.buttonText}>Logout!</Text>
                </TouchableHighlight>
            </View>
        );
    }
}

Logout.propTypes = {
    onLogout: React.PropTypes.func,
};

module.exports = Logout;
