﻿using System;
using System.Collections.Generic;
using System.Diagnostics;
using System.Net.Http;
using System.Net.Http.Headers;
using System.Text;
using System.Threading.Tasks;
using Newtonsoft.Json;

namespace xapp1
{
	public class ContactTypeRestService : IContactTypeRestService
	{
		HttpClient client;

		public List<ContactType> Items { get; private set; }


		public ContactTypeRestService()
		{
			client = new HttpClient();
			client.MaxResponseContentBufferSize = 256000;
		}

		public async Task<List<ContactType>> RefreshDataAsync()
		{
			Items = new List<ContactType>();


			var uri = new Uri("https://contacts.akaver.com/api/ContactTypes");

			try
			{
				var response = await client.GetAsync(uri);
				if (response.IsSuccessStatusCode)
				{
					var content = await response.Content.ReadAsStringAsync();
					Debug.WriteLine(content);
					Items = JsonConvert.DeserializeObject<List<ContactType>>(content);
				}
			}
			catch (Exception ex)
			{
				Debug.WriteLine(@"				ERROR {0}", ex.Message);
			}

			return Items;
		}


	}
}

